Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTableLinkedCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTableLinkedCellRenderer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTableLinkedCellRenderer.java	(revision 8308)
@@ -22,5 +22,5 @@
     private static final Image roundabout_right = ImageProvider.get("dialogs/relation", "roundabout_right_tiny").getImage();
     private static final Image roundabout_left = ImageProvider.get("dialogs/relation", "roundabout_left_tiny").getImage();
-    private WayConnectionType value = new WayConnectionType();
+    private transient WayConnectionType value = new WayConnectionType();
 
     @Override
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTableModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTableModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/MemberTableModel.java	(revision 8308)
@@ -49,14 +49,14 @@
      * data of the table model: The list of members and the cached WayConnectionType of each member.
      **/
-    private List<RelationMember> members;
-    private List<WayConnectionType> connectionType = null;
+    private transient List<RelationMember> members;
+    private transient List<WayConnectionType> connectionType = null;
 
     private DefaultListSelectionModel listSelectionModel;
     private final CopyOnWriteArrayList<IMemberModelListener> listeners;
-    private final OsmDataLayer layer;
-    private final PresetHandler presetHandler;
-
-    private final WayConnectionTypeCalculator wayConnectionTypeCalculator = new WayConnectionTypeCalculator();
-    private final RelationSorter relationSorter = new RelationSorter();
+    private final transient OsmDataLayer layer;
+    private final transient PresetHandler presetHandler;
+
+    private final transient WayConnectionTypeCalculator wayConnectionTypeCalculator = new WayConnectionTypeCalculator();
+    private final transient RelationSorter relationSorter = new RelationSorter();
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ReferringRelationsBrowser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ReferringRelationsBrowser.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ReferringRelationsBrowser.java	(revision 8308)
@@ -38,5 +38,5 @@
     private JList<Relation> referrers;
     private ReferringRelationsBrowserModel model;
-    private OsmDataLayer layer;
+    private transient OsmDataLayer layer;
     private JCheckBox cbReadFull;
     private EditAction editAction;
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ReferringRelationsBrowserModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ReferringRelationsBrowserModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/ReferringRelationsBrowserModel.java	(revision 8308)
@@ -14,6 +14,6 @@
 
     /** the relation */
-    private Relation relation;
-    private List<Relation> referrers;
+    private transient Relation relation;
+    private transient List<Relation> referrers;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/RelationEditor.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/RelationEditor.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/RelationEditor.java	(revision 8308)
@@ -51,13 +51,13 @@
      * The relation that this editor is working on.
      */
-    private Relation relation;
+    private transient Relation relation;
 
     /**
      * The version of the relation when editing is started.  This is
      * null if a new relation is created. */
-    private Relation relationSnapshot;
+    private transient Relation relationSnapshot;
 
     /** the data layer the relation belongs to */
-    private OsmDataLayer layer;
+    private transient OsmDataLayer layer;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/relation/SelectionTableModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/relation/SelectionTableModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/relation/SelectionTableModel.java	(revision 8308)
@@ -19,6 +19,6 @@
 
     /** this selection table model only displays selected primitives in this layer */
-    private OsmDataLayer layer;
-    private List<OsmPrimitive> cache;
+    private transient OsmDataLayer layer;
+    private transient List<OsmPrimitive> cache;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/dialogs/validator/ValidatorTreePanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/dialogs/validator/ValidatorTreePanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/dialogs/validator/ValidatorTreePanel.java	(revision 8308)
@@ -61,5 +61,5 @@
 
     /** The list of errors shown in the tree */
-    private List<TestError> errors = new ArrayList<>();
+    private transient List<TestError> errors = new ArrayList<>();
 
     /**
@@ -67,5 +67,5 @@
      * that refer to one of the primitives in the filter.
      */
-    private Set<OsmPrimitive> filter = null;
+    private transient Set<OsmPrimitive> filter = null;
 
     /** a counter to check if tree has been rebuild */
Index: trunk/src/org/openstreetmap/josm/gui/download/DownloadDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/download/DownloadDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/download/DownloadDialog.java	(revision 8308)
@@ -70,10 +70,10 @@
 
     protected SlippyMapChooser slippyMapChooser;
-    protected final List<DownloadSelection> downloadSelections = new ArrayList<>();
+    protected final transient List<DownloadSelection> downloadSelections = new ArrayList<>();
     protected final JTabbedPane tpDownloadAreaSelectors = new JTabbedPane();
     protected JCheckBox cbNewLayer;
     protected JCheckBox cbStartup;
     protected final JLabel sizeCheck = new JLabel();
-    protected Bounds currentBounds = null;
+    protected transient Bounds currentBounds = null;
     protected boolean canceled;
 
Index: trunk/src/org/openstreetmap/josm/gui/download/PlaceSelection.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/download/PlaceSelection.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/download/PlaceSelection.java	(revision 8308)
@@ -328,5 +328,5 @@
         private String searchExpression;
         private HttpURLConnection connection;
-        private List<SearchResult> data;
+        private transient List<SearchResult> data;
         private boolean canceled = false;
         private Server useserver;
@@ -409,6 +409,6 @@
 
     static class NamedResultTableModel extends DefaultTableModel {
-        private List<SearchResult> data;
-        private ListSelectionModel selectionModel;
+        private transient List<SearchResult> data;
+        private transient ListSelectionModel selectionModel;
 
         public NamedResultTableModel(ListSelectionModel selectionModel) {
Index: trunk/src/org/openstreetmap/josm/gui/help/HelpBrowser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/help/HelpBrowser.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/help/HelpBrowser.java	(revision 8308)
@@ -114,10 +114,10 @@
 
     /** the help browser history */
-    private HelpBrowserHistory history;
+    private transient HelpBrowserHistory history;
 
     /** the currently displayed URL */
     private String url;
 
-    private HelpContentReader reader;
+    private transient HelpContentReader reader;
 
     private static final JosmAction focusAction = new JosmAction(tr("JOSM Help Browser"), "help", "", null, false, false) {
@@ -483,5 +483,5 @@
 
     static class BackAction extends AbstractAction implements Observer {
-        private HelpBrowserHistory history;
+        private transient HelpBrowserHistory history;
         public BackAction(HelpBrowserHistory history) {
             this.history = history;
@@ -503,5 +503,5 @@
 
     static class ForwardAction extends AbstractAction implements Observer {
-        private HelpBrowserHistory history;
+        private transient HelpBrowserHistory history;
         public ForwardAction(HelpBrowserHistory history) {
             this.history = history;
Index: trunk/src/org/openstreetmap/josm/gui/help/HelpContentReader.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/help/HelpContentReader.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/help/HelpContentReader.java	(revision 8308)
@@ -44,5 +44,5 @@
     public String fetchHelpTopicContent(String helpTopicUrl, boolean dotest) throws HelpContentReaderException {
         if(helpTopicUrl == null)
-            throw new MissingHelpContentException(helpTopicUrl);
+            throw new MissingHelpContentException("helpTopicUrl is null");
         HttpURLConnection con = null;
         try {
Index: trunk/src/org/openstreetmap/josm/gui/history/CoordinateInfoViewer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/CoordinateInfoViewer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/CoordinateInfoViewer.java	(revision 8308)
@@ -32,5 +32,5 @@
 
     /** the model */
-    private HistoryBrowserModel model;
+    private transient HistoryBrowserModel model;
     /** the common info panel for the history node in role REFERENCE_POINT_IN_TIME */
     private VersionInfoPanel referenceInfoPanel;
@@ -171,5 +171,5 @@
         private JLabel lblLat;
         private JLabel lblLon;
-        private HistoryBrowserModel model;
+        private transient HistoryBrowserModel model;
         private PointInTimeType role;
 
Index: trunk/src/org/openstreetmap/josm/gui/history/DiffTableModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/DiffTableModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/DiffTableModel.java	(revision 8308)
@@ -1,6 +1,4 @@
 // License: GPL. For details, see LICENSE file.
 package org.openstreetmap.josm.gui.history;
-
-import static org.openstreetmap.josm.tools.I18n.tr;
 
 import java.util.ArrayList;
@@ -16,5 +14,5 @@
  */
 class DiffTableModel extends AbstractTableModel {
-    private List<TwoColumnDiff.Item> rows = new ArrayList<>();
+    private transient List<TwoColumnDiff.Item> rows = new ArrayList<>();
     private boolean reversed = false;
 
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowser.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowser.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowser.java	(revision 8308)
@@ -24,5 +24,5 @@
 
     /** the model */
-    private HistoryBrowserModel model;
+    private transient HistoryBrowserModel model;
     private TagInfoViewer tagInfoViewer;
     private NodeListViewer nodeListViewer;
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryBrowserModel.java	(revision 8308)
@@ -531,5 +531,5 @@
     public class TagTableModel extends AbstractTableModel {
 
-        private List<String> keys;
+        private transient List<String> keys;
         private PointInTimeType pointInTimeType;
 
Index: trunk/src/org/openstreetmap/josm/gui/history/HistoryViewerPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/HistoryViewerPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/HistoryViewerPanel.java	(revision 8308)
@@ -17,10 +17,10 @@
  */
 public abstract class HistoryViewerPanel extends JPanel {
-    
-    protected HistoryBrowserModel model;
+
+    protected transient HistoryBrowserModel model;
     protected VersionInfoPanel referenceInfoPanel;
     protected VersionInfoPanel currentInfoPanel;
-    protected AdjustmentSynchronizer adjustmentSynchronizer;
-    protected SelectionSynchronizer selectionSynchronizer;
+    protected transient AdjustmentSynchronizer adjustmentSynchronizer;
+    protected transient SelectionSynchronizer selectionSynchronizer;
 
     protected HistoryViewerPanel(HistoryBrowserModel model) {
@@ -28,5 +28,5 @@
         build();
     }
-    
+
     private JScrollPane embedInScrollPane(JTable table) {
         JScrollPane pane = new JScrollPane(table);
@@ -34,5 +34,5 @@
         return pane;
     }
-    
+
     /**
      * Sets the history browsing model.
@@ -48,5 +48,5 @@
         }
     }
-    
+
     protected final void unregisterAsObserver(HistoryBrowserModel model) {
         if (currentInfoPanel != null) {
@@ -57,5 +57,5 @@
         }
     }
-    
+
     protected final void registerAsObserver(HistoryBrowserModel model) {
         if (currentInfoPanel != null) {
@@ -66,9 +66,9 @@
         }
     }
-    
+
     protected abstract JTable buildReferenceTable();
-    
+
     protected abstract JTable buildCurrentTable();
-    
+
     private void build() {
         setLayout(new GridBagLayout());
Index: trunk/src/org/openstreetmap/josm/gui/history/NodeListViewer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/NodeListViewer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/NodeListViewer.java	(revision 8308)
@@ -48,9 +48,9 @@
 public class NodeListViewer extends JPanel {
 
-    private HistoryBrowserModel model;
+    private transient HistoryBrowserModel model;
     private VersionInfoPanel referenceInfoPanel;
     private VersionInfoPanel currentInfoPanel;
-    private AdjustmentSynchronizer adjustmentSynchronizer;
-    private SelectionSynchronizer selectionSynchronizer;
+    private transient AdjustmentSynchronizer adjustmentSynchronizer;
+    private transient SelectionSynchronizer selectionSynchronizer;
     private NodeListPopupMenu popupMenu;
 
@@ -215,6 +215,9 @@
 
     static class ZoomToNodeAction extends AbstractAction {
-        private PrimitiveId primitiveId;
-
+        private transient PrimitiveId primitiveId;
+
+        /**
+         * Constructs a new {@code ZoomToNodeAction}.
+         */
         public ZoomToNodeAction() {
             putValue(NAME, tr("Zoom to node"));
@@ -258,6 +261,9 @@
 
     static class ShowHistoryAction extends AbstractAction {
-        private PrimitiveId primitiveId;
-
+        private transient PrimitiveId primitiveId;
+
+        /**
+         * Constructs a new {@code ShowHistoryAction}.
+         */
         public ShowHistoryAction() {
             putValue(NAME, tr("Show history"));
Index: trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/RelationMemberListTableCellRenderer.java	(revision 8308)
@@ -31,5 +31,5 @@
     public static final Color BGCOLOR_SELECTED = new Color(143,170,255);
 
-    private Map<OsmPrimitiveType, ImageIcon> icons;
+    private transient Map<OsmPrimitiveType, ImageIcon> icons;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/history/VersionInfoPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/VersionInfoPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/VersionInfoPanel.java	(revision 8308)
@@ -46,5 +46,5 @@
 public class VersionInfoPanel extends JPanel implements Observer{
     private PointInTimeType pointInTimeType;
-    private HistoryBrowserModel model;
+    private transient HistoryBrowserModel model;
     private JMultilineLabel lblInfo;
     private UrlLabel lblUser;
Index: trunk/src/org/openstreetmap/josm/gui/history/VersionTable.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/history/VersionTable.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/history/VersionTable.java	(revision 8308)
@@ -46,5 +46,5 @@
 public class VersionTable extends JTable implements Observer{
     private VersionTablePopupMenu popupMenu;
-    private final HistoryBrowserModel model;
+    private final transient HistoryBrowserModel model;
 
     protected void build() {
@@ -148,6 +148,9 @@
 
     static class ChangesetInfoAction extends AbstractInfoAction {
-        private HistoryOsmPrimitive primitive;
-
+        private transient HistoryOsmPrimitive primitive;
+
+        /**
+         * Constructs a new {@code ChangesetInfoAction}.
+         */
         public ChangesetInfoAction() {
             super(true);
@@ -178,6 +181,9 @@
 
     static class UserInfoAction extends AbstractInfoAction {
-        private HistoryOsmPrimitive primitive;
-
+        private transient HistoryOsmPrimitive primitive;
+
+        /**
+         * Constructs a new {@code UserInfoAction}.
+         */
         public UserInfoAction() {
             super(true);
Index: trunk/src/org/openstreetmap/josm/gui/io/ActionFlagsTableCell.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/ActionFlagsTableCell.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/ActionFlagsTableCell.java	(revision 8308)
@@ -38,7 +38,7 @@
 class ActionFlagsTableCell extends JPanel implements TableCellRenderer, TableCellEditor {
     private final JCheckBox[] checkBoxes = new JCheckBox[2];
-    private final CellEditorSupport cellEditorSupport = new CellEditorSupport(this);
+    private final transient CellEditorSupport cellEditorSupport = new CellEditorSupport(this);
 
-    private ActionListener al = new ActionListener() {
+    private transient ActionListener al = new ActionListener() {
         @Override
         public void actionPerformed(ActionEvent e) {
Index: trunk/src/org/openstreetmap/josm/gui/io/BasicUploadSettingsPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/BasicUploadSettingsPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/BasicUploadSettingsPanel.java	(revision 8308)
@@ -49,6 +49,6 @@
     private final UploadParameterSummaryPanel pnlUploadParameterSummary = new UploadParameterSummaryPanel();
     /** the changeset comment model */
-    private final ChangesetCommentModel changesetCommentModel;
-    private final ChangesetCommentModel changesetSourceModel;
+    private final transient ChangesetCommentModel changesetCommentModel;
+    private final transient ChangesetCommentModel changesetSourceModel;
 
     protected JPanel buildUploadCommentPanel() {
Index: trunk/src/org/openstreetmap/josm/gui/io/ChangesetManagementPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/ChangesetManagementPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/ChangesetManagementPanel.java	(revision 8308)
@@ -56,5 +56,5 @@
     private JCheckBox cbCloseAfterUpload;
     private OpenChangesetComboBoxModel model;
-    private ChangesetCommentModel changesetCommentModel;
+    private transient ChangesetCommentModel changesetCommentModel;
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/io/LayerNameAndFilePathTableCell.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/LayerNameAndFilePathTableCell.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/LayerNameAndFilePathTableCell.java	(revision 8308)
@@ -42,5 +42,5 @@
     private static final GBC defaultCellStyle = GBC.eol().fill(GBC.HORIZONTAL).insets(2, 0, 2, 0);
 
-    private final CellEditorSupport cellEditorSupport = new CellEditorSupport(this);
+    private final transient CellEditorSupport cellEditorSupport = new CellEditorSupport(this);
     private File value;
 
Index: trunk/src/org/openstreetmap/josm/gui/io/OpenChangesetComboBoxModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/OpenChangesetComboBoxModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/OpenChangesetComboBoxModel.java	(revision 8308)
@@ -18,6 +18,6 @@
  */
 public class OpenChangesetComboBoxModel extends DefaultComboBoxModel<Changeset> implements ChangesetCacheListener {
-    private List<Changeset> changesets;
-    private Changeset selectedChangeset = null;
+    private transient List<Changeset> changesets;
+    private transient Changeset selectedChangeset = null;
 
     protected Changeset getChangesetById(long id) {
Index: trunk/src/org/openstreetmap/josm/gui/io/SaveLayersDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/SaveLayersDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/SaveLayersDialog.java	(revision 8308)
@@ -68,5 +68,5 @@
     private DiscardAndProceedAction discardAndProceedAction;
     private CancelAction cancelAction;
-    private SaveAndUploadTask saveAndUploadTask;
+    private transient SaveAndUploadTask saveAndUploadTask;
 
     /**
@@ -368,8 +368,8 @@
         private static final int is = 24; // icon size
         private static final String BASE_ICON = "BASE_ICON";
-        private final Image save = ImageProvider.get("save").getImage();
-        private final Image upld = ImageProvider.get("upload").getImage();
-        private final Image saveDis = new BufferedImage(is, is, BufferedImage.TYPE_4BYTE_ABGR);
-        private final Image upldDis = new BufferedImage(is, is, BufferedImage.TYPE_4BYTE_ABGR);
+        private final transient Image save = ImageProvider.get("save").getImage();
+        private final transient Image upld = ImageProvider.get("upload").getImage();
+        private final transient Image saveDis = new BufferedImage(is, is, BufferedImage.TYPE_4BYTE_ABGR);
+        private final transient Image upldDis = new BufferedImage(is, is, BufferedImage.TYPE_4BYTE_ABGR);
 
         public SaveAndProceedAction() {
Index: trunk/src/org/openstreetmap/josm/gui/io/SaveLayersModel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/SaveLayersModel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/SaveLayersModel.java	(revision 8308)
@@ -22,5 +22,5 @@
     }
 
-    private List<SaveLayerInfo> layerInfo;
+    private transient List<SaveLayerInfo> layerInfo;
     private Mode mode;
     private PropertyChangeSupport support;
Index: trunk/src/org/openstreetmap/josm/gui/io/TagSettingsPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/TagSettingsPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/TagSettingsPanel.java	(revision 8308)
@@ -24,8 +24,8 @@
     private final TagEditorPanel pnlTagEditor = new TagEditorPanel(null);
     /** the model for the changeset comment */
-    private final ChangesetCommentModel changesetCommentModel;
-    private final ChangesetCommentModel changesetSourceModel;
+    private final transient ChangesetCommentModel changesetCommentModel;
+    private final transient ChangesetCommentModel changesetSourceModel;
     /** tags that applied to uploaded changesets by default*/
-    private final Map<String, String> defaultTags = new HashMap<>();
+    private final transient Map<String, String> defaultTags = new HashMap<>();
 
     protected void build() {
Index: trunk/src/org/openstreetmap/josm/gui/io/UploadDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/UploadDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/UploadDialog.java	(revision 8308)
@@ -98,6 +98,6 @@
 
     /** the changeset comment model keeping the state of the changeset comment */
-    private final ChangesetCommentModel changesetCommentModel = new ChangesetCommentModel();
-    private final ChangesetCommentModel changesetSourceModel = new ChangesetCommentModel();
+    private final transient ChangesetCommentModel changesetCommentModel = new ChangesetCommentModel();
+    private final transient ChangesetCommentModel changesetSourceModel = new ChangesetCommentModel();
 
     /**
Index: trunk/src/org/openstreetmap/josm/gui/io/UploadParameterSummaryPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/UploadParameterSummaryPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/UploadParameterSummaryPanel.java	(revision 8308)
@@ -22,12 +22,12 @@
 // FIXME this class should extend HtmlPanel instead (duplicated code in here)
 public class UploadParameterSummaryPanel extends JPanel implements HyperlinkListener, PropertyChangeListener{
-    private UploadStrategySpecification spec = new UploadStrategySpecification();
+    private transient UploadStrategySpecification spec = new UploadStrategySpecification();
     private int numObjects;
     private JMultilineLabel jepMessage;
     private JLabel lblWarning;
 
-    private Changeset selectedChangeset;
+    private transient Changeset selectedChangeset;
     private boolean closeChangesetAfterNextUpload;
-    private ConfigurationParameterRequestHandler configHandler;
+    private transient ConfigurationParameterRequestHandler configHandler;
 
     protected String buildChangesetSummary() {
Index: trunk/src/org/openstreetmap/josm/gui/io/UploadSelectionDialog.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/UploadSelectionDialog.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/UploadSelectionDialog.java	(revision 8308)
@@ -194,5 +194,5 @@
 
     static class OsmPrimitiveListModel extends AbstractListModel<OsmPrimitive> {
-        private List<OsmPrimitive> data;
+        private transient List<OsmPrimitive> data;
 
         public OsmPrimitiveListModel() {
Index: trunk/src/org/openstreetmap/josm/gui/io/UploadStrategySelectionPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/UploadStrategySelectionPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/UploadStrategySelectionPanel.java	(revision 8308)
@@ -51,7 +51,7 @@
     private static final Color BG_COLOR_ERROR = new Color(255,224,224);
 
-    private Map<UploadStrategy, JRadioButton> rbStrategy;
-    private Map<UploadStrategy, JLabel> lblNumRequests;
-    private Map<UploadStrategy, JMultilineLabel> lblStrategies;
+    private transient Map<UploadStrategy, JRadioButton> rbStrategy;
+    private transient Map<UploadStrategy, JLabel> lblNumRequests;
+    private transient Map<UploadStrategy, JMultilineLabel> lblStrategies;
     private JosmTextField tfChunkSize;
     private JPanel pnlMultiChangesetPolicyPanel;
Index: trunk/src/org/openstreetmap/josm/gui/io/UploadedObjectsSummaryPanel.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/io/UploadedObjectsSummaryPanel.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/io/UploadedObjectsSummaryPanel.java	(revision 8308)
@@ -155,5 +155,5 @@
      */
     static class PrimitiveListModel extends AbstractListModel<OsmPrimitive> {
-        private List<OsmPrimitive> primitives;
+        private transient List<OsmPrimitive> primitives;
 
         public PrimitiveListModel() {
Index: trunk/src/org/openstreetmap/josm/gui/layer/CustomizeColor.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/layer/CustomizeColor.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/layer/CustomizeColor.java	(revision 8308)
@@ -23,5 +23,5 @@
 
 public class CustomizeColor extends AbstractAction implements LayerAction, MultiLayerAction {
-    private List<Layer> layers;
+    private transient List<Layer> layers;
 
     public CustomizeColor(List<Layer> l) {
Index: trunk/src/org/openstreetmap/josm/gui/layer/ImageryLayer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/layer/ImageryLayer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/layer/ImageryLayer.java	(revision 8308)
@@ -159,5 +159,5 @@
 
     class ApplyOffsetAction extends AbstractAction {
-        private OffsetBookmark b;
+        private transient OffsetBookmark b;
         ApplyOffsetAction(OffsetBookmark b) {
             super(b.name);
Index: trunk/src/org/openstreetmap/josm/gui/layer/JumpToMarkerActions.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/layer/JumpToMarkerActions.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/layer/JumpToMarkerActions.java	(revision 8308)
@@ -44,7 +44,7 @@
     private abstract static class JumpToMarker extends AbstractAction implements MultikeyShortcutAction {
 
-        private final Layer layer;
-        private final Shortcut multikeyShortcut;
-        private WeakReference<Layer> lastLayer;
+        private final transient Layer layer;
+        private final transient Shortcut multikeyShortcut;
+        private transient WeakReference<Layer> lastLayer;
 
         public JumpToMarker(JumpToMarkerLayer layer, Shortcut shortcut) {
Index: trunk/src/org/openstreetmap/josm/gui/layer/Layer.java
===================================================================
--- trunk/src/org/openstreetmap/josm/gui/layer/Layer.java	(revision 8307)
+++ trunk/src/org/openstreetmap/josm/gui/layer/Layer.java	(revision 8308)
@@ -380,5 +380,5 @@
      */
     public static class LayerSaveAction extends AbstractAction {
-        private Layer layer;
+        private final transient Layer layer;
         public LayerSaveAction(Layer layer) {
             putValue(SMALL_ICON, ImageProvider.get("save"));
@@ -396,5 +396,5 @@
 
     public static class LayerSaveAsAction extends AbstractAction {
-        private Layer layer;
+        private final transient Layer layer;
         public LayerSaveAsAction(Layer layer) {
             putValue(SMALL_ICON, ImageProvider.get("save_as"));
@@ -412,5 +412,5 @@
 
     public static class LayerGpxExportAction extends AbstractAction {
-        private Layer layer;
+        private final transient Layer layer;
         public LayerGpxExportAction(Layer layer) {
             putValue(SMALL_ICON, ImageProvider.get("exportgpx"));
